# Gtk::HRuler Class Reference
Widgets

Horizontal Ruler. More...

Inheritance diagram for Gtk::HRuler:
[legend]
Collaboration diagram for Gtk::HRuler:
[legend]

List of all members.

## Public Member Functions

virtual | ~HRuler ()
GtkHRuler* | gobj ()
| Provides access to the underlying C GtkObject.
const GtkHRuler* | gobj () const
| Provides access to the underlying C GtkObject.
| HRuler ()

## Related Functions

(Note that these are not member functions.)
Gtk::HRuler* | wrap (GtkHRuler* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Horizontal Ruler.

Deprecated:
  This has been removed from gtkmm-3.0 because it was unmaintained and too specialized. There is no replacement other than using the original GtkRuler and Gtk::Ruler source files in your application.

## Constructor & Destructor Documentation

virtual Gtk::HRuler::~HRuler | ( |  | ) | `[virtual]`

Gtk::HRuler::HRuler | ( |  | ) |

## Member Function Documentation

GtkHRuler* Gtk::HRuler::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Ruler.

const GtkHRuler* Gtk::HRuler::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Ruler.

## Friends And Related Function Documentation

Gtk::HRuler* wrap | ( | GtkHRuler * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkmm/ruler.h